# Uses of Class
org.apache.avro.SchemaCompatibility.SchemaPairCompatibility

Packages that use SchemaCompatibility.SchemaPairCompatibility
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaCompatibility.SchemaPairCompatibility in org.apache.avro

Methods in org.apache.avro that return SchemaCompatibility.SchemaPairCompatibility
Modifier and Type
Method
Description
`static SchemaCompatibility.SchemaPairCompatibility`
SchemaCompatibility.`checkReaderWriterCompatibility(Schema reader, Schema writer)`
Validates that the provided reader schema can be used to decode avro data written with the provided writer schema.